> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# List invoices

GET https://integrators.prod.api.tabsplatform.com/v3/invoices

Reference: https://docs.tabs.com/api-reference/invoices/getInvoices

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `page` (double, required, default: 1) — Page Number
- `limit` (double, required, default: 50) — Number of items to return
- `filter` (string, optional) — Format: field:rule:value — comma-separated for multiple filters. Fields: customerId (uuid): eq, neq, in, nin, isnull, isnotnull total (number): eq, neq, gt, gte, lt, lte, in, nin contractId (uuid): eq, neq, in, nin, isnull, isnotnull obligationId (uuid): eq, neq, in, nin, isnull, isnotnull source (string): eq, neq, like, nlike, in, nin, isnull, isnotnull status (string): eq, neq, in, nin issueDate (datetime): eq, neq, gt, gte, lt, lte dueDate (datetime): eq, neq, gt, gte, lt, lte lastUpdatedAt (datetime): eq, neq, gt, gte, lt, lte Date-only values (YYYY-MM-DD) match the full UTC day. Example: filter=customerId:eq:00000000-0000-0000-0000-000000000001

## Response

### 200

Get all Invoices by filter

- `payload` (V3InvoicesGetResponsesContentApplicationJsonSchemaPayload, required) — Response payload, will be empty when success is false
- `success` (boolean, required) — Boolean with true=success, false=failure
- `message` (string, required) — Plain-text description of the result
- `error` (IntegratorsApiError, optional) — json element with any error messages or warnings

## Types

### V3InvoicesGetResponsesContentApplicationJsonSchemaPayload

Response payload, will be empty when success is false

### IntegratorsApiError

- `code` (double, required) — API response code
- `message` (string, required) — API response message
- `errorCode` (string, optional) — Machine-readable error code
- `details` (IntegratorsApiErrorDetails, optional) — Additional details about the error

### IntegratorsApiErrorDetails

Additional details about the error

## Examples

**Response**

```json
{
  "payload": {
    "data": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "issueDate": "2021-01-01",
        "dueDate": "2021-01-01",
        "sentDate": "2021-01-01",
        "createdAt": "2021-01-01",
        "status": "DRAFT",
        "invoiceNumber": "1234",
        "memo": "A memo / note on the invoice",
        "customFields": [
          "string"
        ],
        "source": "TABS",
        "customerId": "123e4567-e89b-12d3-a456-426614174000",
        "originalDueDate": "2021-01-01",
        "originalIssueDate": "2021-01-01",
        "total": 100,
        "balanceRemaining": 100,
        "externalIds": [
          {
            "type": "QUICKBOOKS",
            "id": "123e4567-e89b-12d3-a456-426614174000"
          }
        ],
        "lineItems": [
          {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "billingTermId": "123e4567-e89b-12d3-a456-426614174000",
            "name": "Item 1",
            "description": "string",
            "quantity": 1,
            "unitPrice": 100,
            "subtotal": 110,
            "discountTotal": 10,
            "total": 100,
            "serviceStartDate": "2026-01-01",
            "serviceEndDate": "2026-02-28",
            "salesTaxRate": "8.5",
            "item": {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "name": "Item 1",
              "displayName": "Item 1 (Annual)",
              "externalIds": [
                {
                  "type": "NETSUITE",
                  "id": "123e4567-e89b-12d3-a456-426614174000",
                  "objectType": "Account",
                  "objectLabel": "Account"
                }
              ]
            }
          }
        ],
        "paymentLink": "string",
        "poNumber": "1234",
        "paidOn": "2024-01-15T00:00:00.000Z",
        "uncollectibleOn": "2024-02-01T00:00:00.000Z",
        "lastUpdatedAt": "2024-01-01T00:00:00.000Z"
      }
    ],
    "limit": 1.1,
    "totalItems": 1.1,
    "currentPage": 1.1
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "errorCode": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/invoices"

querystring = {"page":"1","limit":"50"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/invoices?page=1&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```